[![Build Status](https://travis-ci.org/030/puppet-git.svg?branch=master)](https://travis-ci.org/030/puppet-git)
[![Puppet Forge](https://img.shields.io/puppetforge/v/030/git.svg?style=flat)](https://forge.puppetlabs.com/030/git)
[![Puppet Forge Downloads](https://img.shields.io/puppetforge/dt/030/git.svg)](https://forge.puppetlabs.com/030/git)

# puppet-git

This module installs the latest git version

## installation

### specific

In order to install a specific version, e.g. 2.5.2 include the class

```
include git
```

in the manifest, or in hiera:

```
classes:
  - git
```

and specify

```
git::version: 2.5.2
```

in hiera

### latest

In order to install the latest version of git just include the git class

```
include git
```
