# returns latest gitversion, e.g. 2.8.2
Facter.add("latest_gitversion") do
  setcode do
    require 'open-uri'

    url="https://git-scm.com/downloads"

    file = open("#{url}")
    contents = file.read()

    match = contents.match(/.*((\d\d?.){2}\d\d?)\.txt\">Release Notes<\/a>$/)
    match[1]
  end
end
